Index: /branches/DataPreprocessing/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 10901)
+++ /branches/DataPreprocessing/HeuristicLab.Core.Views/3.3/ItemCollectionView.cs	(revision 10902)
@@ -57,11 +57,4 @@
       get { return itemsListView; }
     }
-
-    private SortOrder sorting = SortOrder.Ascending;
-    public SortOrder Sorting {
-      get { return sorting; }
-      set { sorting = value; }
-    }
-
     public ItemCollectionView() {
       InitializeComponent();
@@ -112,6 +105,5 @@
           AddListViewItem(CreateListViewItem(item));
         AdjustListViewColumnSizes();
-        if (Sorting != SortOrder.None)
-          SortItemsListView(Sorting);
+        SortItemsListView(SortOrder.Ascending);
       }
     }
Index: anches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationCollectionView.Designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationCollectionView.Designer.cs	(revision 10901)
+++ 	(revision )
@@ -1,53 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-namespace HeuristicLab.DataPreprocessing.Views {
-  partial class CheckedTransformationCollectionView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      components = new System.ComponentModel.Container();
-      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-    }
-
-    #endregion
-  }
-}
Index: anches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationCollectionView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationCollectionView.cs	(revision 10901)
+++ 	(revision )
@@ -1,74 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using System.Collections.Generic;
-using System.Reflection;
-using System.Windows.Forms;
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-using HeuristicLab.PluginInfrastructure;
-using HeuristicLab.Problems.DataAnalysis.Transformations;
-
-namespace HeuristicLab.DataPreprocessing.Views {
-  [View("CheckedTransformationCollection View")]
-  //[Content(typeof(RunCollectionConstraintCollection), true)]
-  [Content(typeof(ICheckedItemCollection<ITransformation>), false)]
-  public partial class CheckedTransformationCollectionView : CheckedItemCollectionView<ITransformation> {
-
-    public CheckedTransformationCollectionView() {
-      InitializeComponent();
-      itemsGroupBox.Text = "Transformations";
-      Sorting = SortOrder.None;
-    }
-
-    protected override ITransformation CreateItem() {
-      if (typeSelectorDialog == null) {
-        typeSelectorDialog = new TypeSelectorDialog();
-        typeSelectorDialog.Caption = "Select Transformation";
-        typeSelectorDialog.TypeSelector.Caption = "Available Transformations";
-        typeSelectorDialog.TypeSelector.Configure(typeof(ITransformation), showNotInstantiableTypes: true, showGenericTypes: false, typeCondition: CanInstanciateTransformation);
-      }
-
-      if (typeSelectorDialog.ShowDialog(this) == DialogResult.OK) {
-        try {
-          // TODO: Avoid accessing parent view
-          var transformationView = (TransformationView)Parent;
-          var columnNames = transformationView.Content.Data.VariableNames;
-
-          return (ITransformation)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType(new[] { columnNames });
-        } catch (Exception ex) {
-          ErrorHandling.ShowErrorDialog(this, ex);
-        }
-      }
-      return null;
-    }
-
-    private bool CanInstanciateTransformation(Type type) {
-      foreach (ConstructorInfo ctor in type.GetConstructors(BindingFlags.Public | BindingFlags.Instance)) {
-        ParameterInfo[] parameters = ctor.GetParameters();
-        if (parameters.Length == 1 && parameters[0].ParameterType == typeof(IEnumerable<string>)) return true;
-      }
-      return false;
-    }
-  }
-}
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.Designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.Designer.cs	(revision 10902)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.Designer.cs	(revision 10902)
@@ -0,0 +1,53 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.DataPreprocessing.Views {
+  partial class CheckedTransformationListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      components = new System.ComponentModel.Container();
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+    }
+
+    #endregion
+  }
+}
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.cs	(revision 10902)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/CheckedTransformationListView.cs	(revision 10902)
@@ -0,0 +1,73 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Reflection;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.Problems.DataAnalysis.Transformations;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+  [View("CheckedTransformationList View")]
+  //[Content(typeof(RunCollectionConstraintCollection), true)]
+  [Content(typeof(ICheckedItemList<ITransformation>), false)]
+  public partial class CheckedTransformationListView : CheckedItemListView<ITransformation> {
+
+    public CheckedTransformationListView() {
+      InitializeComponent();
+      itemsGroupBox.Text = "Transformations";
+    }
+
+    protected override ITransformation CreateItem() {
+      if (typeSelectorDialog == null) {
+        typeSelectorDialog = new TypeSelectorDialog();
+        typeSelectorDialog.Caption = "Select Transformation";
+        typeSelectorDialog.TypeSelector.Caption = "Available Transformations";
+        typeSelectorDialog.TypeSelector.Configure(typeof(ITransformation), showNotInstantiableTypes: true, showGenericTypes: false, typeCondition: CanInstanciateTransformation);
+      }
+
+      if (typeSelectorDialog.ShowDialog(this) == DialogResult.OK) {
+        try {
+          // TODO: Avoid accessing parent view
+          var transformationView = (TransformationView)Parent;
+          var columnNames = transformationView.Content.Data.VariableNames;
+
+          return (ITransformation)typeSelectorDialog.TypeSelector.CreateInstanceOfSelectedType(new[] { columnNames });
+        } catch (Exception ex) {
+          ErrorHandling.ShowErrorDialog(this, ex);
+        }
+      }
+      return null;
+    }
+
+    private bool CanInstanciateTransformation(Type type) {
+      foreach (ConstructorInfo ctor in type.GetConstructors(BindingFlags.Public | BindingFlags.Instance)) {
+        ParameterInfo[] parameters = ctor.GetParameters();
+        if (parameters.Length == 1 && parameters[0].ParameterType == typeof(IEnumerable<string>)) return true;
+      }
+      return false;
+    }
+  }
+}
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10901)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10902)
@@ -70,9 +70,9 @@
       <DependentUpon>CheckedFilterCollectionView.cs</DependentUpon>
     </Compile>
-    <Compile Include="CheckedTransformationCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="CheckedTransformationCollectionView.Designer.cs">
-      <DependentUpon>CheckedTransformationCollectionView.cs</DependentUpon>
+    <Compile Include="CheckedTransformationListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="CheckedTransformationListView.Designer.cs">
+      <DependentUpon>CheckedTransformationListView.cs</DependentUpon>
     </Compile>
     <Compile Include="ComparisonFilterView.cs">
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.Designer.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.Designer.cs	(revision 10901)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.Designer.cs	(revision 10902)
@@ -47,21 +47,20 @@
     /// </summary>
     private void InitializeComponent() {
-      this.transformationCollectionView = new HeuristicLab.DataPreprocessing.Views.CheckedTransformationCollectionView();
+      this.transformationListView = new HeuristicLab.DataPreprocessing.Views.CheckedTransformationListView();
       this.applyButton = new System.Windows.Forms.Button();
       this.SuspendLayout();
       // 
-      // transformationCollectionView
+      // transformationListView
       // 
-      this.transformationCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
+      this.transformationListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.transformationCollectionView.Caption = "Transformations";
-      this.transformationCollectionView.Content = null;
-      this.transformationCollectionView.Location = new System.Drawing.Point(0, 0);
-      this.transformationCollectionView.Name = "transformationCollectionView";
-      this.transformationCollectionView.ReadOnly = false;
-      this.transformationCollectionView.ShowDetails = true;
-      this.transformationCollectionView.Size = new System.Drawing.Size(627, 482);
-      this.transformationCollectionView.TabIndex = 0;
+      this.transformationListView.Caption = "Transformations";
+      this.transformationListView.Content = null;
+      this.transformationListView.Location = new System.Drawing.Point(0, 0);
+      this.transformationListView.Name = "transformationListView";
+      this.transformationListView.ReadOnly = false;
+      this.transformationListView.Size = new System.Drawing.Size(627, 482);
+      this.transformationListView.TabIndex = 0;
       // 
       // applyButton
@@ -81,5 +80,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.applyButton);
-      this.Controls.Add(this.transformationCollectionView);
+      this.Controls.Add(this.transformationListView);
       this.Name = "TransformationView";
       this.Size = new System.Drawing.Size(627, 514);
@@ -89,5 +88,5 @@
 
     #endregion
-    private CheckedTransformationCollectionView transformationCollectionView;
+    private CheckedTransformationListView transformationListView;
     private System.Windows.Forms.Button applyButton;
   }
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.cs	(revision 10901)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/TransformationView.cs	(revision 10902)
@@ -21,4 +21,5 @@
 
 using System;
+using System.Linq;
 using System.Windows.Forms;
 using HeuristicLab.MainForm;
@@ -43,12 +44,12 @@
       base.OnContentChanged();
       if (Content == null) {
-        transformationCollectionView.Content = null;
+        transformationListView.Content = null;
       } else {
-        transformationCollectionView.Content = Content.CheckedTransformationCollection;
+        transformationListView.Content = Content.CheckedTransformationList;
       }
     }
 
     private void applyButton_Click(object sender, EventArgs e) {
-      var transformations = Content.CheckedTransformationCollection.CheckedItems;
+      var transformations = Content.CheckedTransformationList.CheckedItems.Select(x => x.Value);
 
       var transformator = new PreprocessingTransformator(Content.Data);
@@ -56,5 +57,5 @@
       bool success = transformator.ApplyTransformations(transformations, out errorMsg);
       if (success) {
-        Content.CheckedTransformationCollection.Clear();
+        Content.CheckedTransformationList.Clear();
         MessageBox.Show(this, "Transformations applied.", "Success", MessageBoxButtons.OK, MessageBoxIcon.Information);
       } else {
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10901)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/TransformationContent.cs	(revision 10902)
@@ -31,9 +31,9 @@
     public IPreprocessingData Data { get; private set; }
 
-    public ICheckedItemCollection<ITransformation> CheckedTransformationCollection { get; private set; }
+    public ICheckedItemList<ITransformation> CheckedTransformationList { get; private set; }
 
     public TransformationContent(IPreprocessingData data) {
       Data = data;
-      CheckedTransformationCollection = new CheckedItemCollection<ITransformation>();
+      CheckedTransformationList = new CheckedItemList<ITransformation>();
     }
 
@@ -41,5 +41,5 @@
       : base(original, cloner) {
       Data = original.Data;
-      CheckedTransformationCollection = new CheckedItemCollection<ITransformation>(original.CheckedTransformationCollection);
+      CheckedTransformationList = new CheckedItemList<ITransformation>(original.CheckedTransformationList);
     }
 