Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10903)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.cs	(revision 10904)
@@ -53,5 +53,5 @@
         var dataCompletenessLogic = new ChartLogic(data);
 
-        var viewShortcuts = new ItemCollection<IViewShortcut> {
+        var viewShortcuts = new ItemList<IViewShortcut> {
           new DataGridContent(dataGridLogic, manipulationLogic, filterLogic),
           new StatisticsContent(statisticsLogic),
@@ -66,11 +66,11 @@
         };
 
-        viewShortcutCollectionView.Content = viewShortcuts.AsReadOnly();
+        viewShortcutListView.Content = viewShortcuts.AsReadOnly();
 
-        viewShortcutCollectionView.ItemsListView.Items[0].Selected = true;
-        viewShortcutCollectionView.Select();
+        viewShortcutListView.ItemsListView.Items[0].Selected = true;
+        viewShortcutListView.Select();
 
       } else {
-        viewShortcutCollectionView.Content = null;
+        viewShortcutListView.Content = null;
       }
     }
@@ -78,5 +78,5 @@
     protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
-      viewShortcutCollectionView.Enabled = Content != null;
+      viewShortcutListView.Enabled = Content != null;
       applyInNewTabButton.Enabled = Content != null;
       exportProblemButton.Enabled = Content != null;
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs	(revision 10903)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/DataPreprocessingView.designer.cs	(revision 10904)
@@ -51,5 +51,5 @@
       this.exportProblemButton = new System.Windows.Forms.Button();
       this.toolTip = new System.Windows.Forms.ToolTip(this.components);
-      this.viewShortcutCollectionView = new HeuristicLab.DataPreprocessing.Views.ViewShortcutCollectionView();
+      this.viewShortcutListView = new HeuristicLab.DataPreprocessing.Views.ViewShortcutListView();
       this.SuspendLayout();
       // 
@@ -87,17 +87,16 @@
       this.exportProblemButton.Click += new System.EventHandler(this.exportProblemButton_Click);
       // 
-      // viewShortcutCollectionView
+      // ViewShortcutListView
       // 
-      this.viewShortcutCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+      this.viewShortcutListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
             | System.Windows.Forms.AnchorStyles.Left)
             | System.Windows.Forms.AnchorStyles.Right)));
-      this.viewShortcutCollectionView.Caption = "ViewShortcutCollection View";
-      this.viewShortcutCollectionView.Content = null;
-      this.viewShortcutCollectionView.Location = new System.Drawing.Point(4, 33);
-      this.viewShortcutCollectionView.Name = "viewShortcutCollectionView";
-      this.viewShortcutCollectionView.ReadOnly = false;
-      this.viewShortcutCollectionView.ShowDetails = true;
-      this.viewShortcutCollectionView.Size = new System.Drawing.Size(831, 413);
-      this.viewShortcutCollectionView.TabIndex = 4;
+      this.viewShortcutListView.Caption = "ViewShortcutCollection View";
+      this.viewShortcutListView.Content = null;
+      this.viewShortcutListView.Location = new System.Drawing.Point(4, 33);
+      this.viewShortcutListView.Name = "viewShortcutListView";
+      this.viewShortcutListView.ReadOnly = false;
+      this.viewShortcutListView.Size = new System.Drawing.Size(831, 413);
+      this.viewShortcutListView.TabIndex = 4;
       // 
       // DataPreprocessingView
@@ -105,5 +104,5 @@
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.Controls.Add(this.viewShortcutCollectionView);
+      this.Controls.Add(this.viewShortcutListView);
       this.Controls.Add(this.undoButton);
       this.Controls.Add(this.applyInNewTabButton);
@@ -121,5 +120,5 @@
     private System.Windows.Forms.Button undoButton;
     private System.Windows.Forms.ToolTip toolTip;
-    private ViewShortcutCollectionView viewShortcutCollectionView;
+    private ViewShortcutListView viewShortcutListView;
 
   }
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10903)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HeuristicLab.DataPreprocessing.Views-3.3.csproj	(revision 10904)
@@ -183,9 +183,9 @@
     <Compile Include="Utils\FindPreprocessingItemsIterator.cs" />
     <Compile Include="Utils\IFindPreprocessingItemsIterator.cs" />
-    <Compile Include="ViewShortcutCollectionView.cs">
-      <SubType>UserControl</SubType>
-    </Compile>
-    <Compile Include="ViewShortcutCollectionView.Designer.cs">
-      <DependentUpon>ViewShortcutCollectionView.cs</DependentUpon>
+    <Compile Include="ViewShortcutListView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ViewShortcutListView.Designer.cs">
+      <DependentUpon>ViewShortcutListView.cs</DependentUpon>
     </Compile>
   </ItemGroup>
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.Designer.cs	(revision 10903)
+++ 	(revision )
@@ -1,60 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-
-namespace HeuristicLab.DataPreprocessing.Views {
-  partial class ViewShortcutCollectionView {
-    /// <summary> 
-    /// Required designer variable.
-    /// </summary>
-    private System.ComponentModel.IContainer components = null;
-
-    /// <summary> 
-    /// Clean up any resources being used.
-    /// </summary>
-    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
-    protected override void Dispose(bool disposing) {
-      if (disposing && (components != null)) {
-        components.Dispose();
-      }
-      base.Dispose(disposing);
-    }
-
-    #region Component Designer generated code
-
-    /// <summary> 
-    /// Required method for Designer support - do not modify 
-    /// the contents of this method with the code editor.
-    /// </summary>
-    private void InitializeComponent() {
-      this.SuspendLayout();
-      // 
-      // ViewShortcutCollectionView
-      // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
-      this.Name = "ViewShortcutCollectionView";
-      this.Size = new System.Drawing.Size(532, 383);
-      this.ResumeLayout(false);
-    }
-
-    #endregion
-  }
-}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutCollectionView.cs	(revision 10903)
+++ 	(revision )
@@ -1,37 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-
-using HeuristicLab.Core;
-using HeuristicLab.Core.Views;
-using HeuristicLab.MainForm;
-
-namespace HeuristicLab.DataPreprocessing.Views {
-  [View("ViewShortcutCollection View")]
-  [Content(typeof(IItemCollection<IViewShortcut>), true)]
-  public partial class ViewShortcutCollectionView : ItemCollectionView<IViewShortcut> {
-
-    public ViewShortcutCollectionView() {
-      InitializeComponent();
-      itemsGroupBox.Text = "View Shortcuts";
-    }
-  }
-}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.Designer.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.Designer.cs	(revision 10904)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.Designer.cs	(revision 10904)
@@ -0,0 +1,60 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+
+namespace HeuristicLab.DataPreprocessing.Views {
+  partial class ViewShortcutListView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.SuspendLayout();
+      // 
+      // ViewShortcutListView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.Name = "ViewShortcutListView";
+      this.Size = new System.Drawing.Size(532, 383);
+      this.ResumeLayout(false);
+    }
+
+    #endregion
+  }
+}
Index: branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.cs
===================================================================
--- branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.cs	(revision 10904)
+++ branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/ViewShortcutListView.cs	(revision 10904)
@@ -0,0 +1,36 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2013 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.DataPreprocessing.Views {
+  [View("ViewShortcutCollection View")]
+  [Content(typeof(IItemList<IViewShortcut>), true)]
+  public partial class ViewShortcutListView : ItemListView<IViewShortcut> {
+
+    public ViewShortcutListView() {
+      InitializeComponent();
+      itemsGroupBox.Text = "View Shortcuts";
+    }
+  }
+}