Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HistogramView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HistogramView.cs	(revision 10913)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/HistogramView.cs	(revision 10914)
@@ -1,3 +1,23 @@
-﻿using System;
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2014 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion  
+using System;
 using System.Windows.Forms;
 using HeuristicLab.Analysis;
@@ -17,19 +37,17 @@
     }
 
-    protected override void OnContentChanged()
-    {
+    protected override void OnContentChanged() {
       base.OnContentChanged();
-      if (Content != null)
-      {
+      if (Content != null) {
         logic = Content.ChartLogic;
-    
+
         classifierComboBox.Items.Clear();
         classifierComboBox.Items.Add("None");
 
-        foreach(string var in logic.GetVariableNamesForHistogramClassification()){
+        foreach (string var in logic.GetVariableNamesForHistogramClassification()) {
           classifierComboBox.Items.Add(var);
         }
 
-     
+
         if (classifierComboBox.SelectedItem == null) {
           classifierComboBox.SelectedIndex = Content.ClassifierVariableIndex;
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/PreprocessingDataTableView.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/PreprocessingDataTableView.cs	(revision 10913)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing.Views/3.3/PreprocessingDataTableView.cs	(revision 10914)
@@ -33,15 +33,12 @@
 using HeuristicLab.Analysis.Views;
 
-namespace HeuristicLab.DataPreprocessing.Views
-{
+namespace HeuristicLab.DataPreprocessing.Views {
   [View("Preprocessing DataTable View")]
   [Content(typeof(PreprocessingDataTable), false)]
-  public partial class PreprocessingDataTableView : ItemView, IConfigureableView
-  {
+  public partial class PreprocessingDataTableView : ItemView, IConfigureableView {
     protected List<Series> invisibleSeries;
     protected Dictionary<IObservableList<double>, DataRow> valuesRowsTable;
 
-    public new PreprocessingDataTable Content
-    {
+    public new PreprocessingDataTable Content {
       get { return (PreprocessingDataTable)base.Content; }
       set { base.Content = value; }
@@ -50,6 +47,5 @@
     public IEnumerable<double> Classification { get; set; }
 
-    public PreprocessingDataTableView()
-    {
+    public PreprocessingDataTableView() {
       InitializeComponent();
       valuesRowsTable = new Dictionary<IObservableList<double>, DataRow>();
@@ -60,6 +56,5 @@
 
     #region Event Handler Registration
-    protected override void DeregisterContentEvents()
-    {
+    protected override void DeregisterContentEvents() {
       foreach (DataRow row in Content.Rows)
         DeregisterDataRowEvents(row);
@@ -76,6 +71,5 @@
       base.DeregisterContentEvents();
     }
-    protected override void RegisterContentEvents()
-    {
+    protected override void RegisterContentEvents() {
       base.RegisterContentEvents();
       Content.VisualPropertiesChanged += new EventHandler(Content_VisualPropertiesChanged);
@@ -102,6 +96,5 @@
       row.Values.CollectionReset += new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_CollectionReset);
     }
-    protected virtual void DeregisterDataRowEvents(DataRow row)
-    {
+    protected virtual void DeregisterDataRowEvents(DataRow row) {
       row.Values.ItemsAdded -= new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsAdded);
       row.Values.ItemsRemoved -= new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsRemoved);
@@ -122,6 +115,5 @@
       chart.ChartAreas[0].AxisY2.Title = string.Empty;
       chart.Series.Clear();
-      if (Content != null)
-      {
+      if (Content != null) {
 
         if (Classification != null)
@@ -135,25 +127,19 @@
     }
 
-    protected override void SetEnabledStateOfControls()
-    {
+    protected override void SetEnabledStateOfControls() {
       base.SetEnabledStateOfControls();
       chart.Enabled = Content != null;
     }
 
-    public void ShowConfiguration()
-    {
-      if (Content != null)
-      {
-        using (var dialog = new DataTableVisualPropertiesDialog(Content))
-        {
+    public void ShowConfiguration() {
+      if (Content != null) {
+        using (var dialog = new DataTableVisualPropertiesDialog(Content)) {
           dialog.ShowDialog(this);
         }
-    }
-      else MessageBox.Show("Nothing to configure.");
-    }
-    protected virtual void AddDataRows(IEnumerable<DataRow> rows)
-    {
-      foreach (var row in rows)
-      {
+      } else MessageBox.Show("Nothing to configure.");
+    }
+
+    protected virtual void AddDataRows(IEnumerable<DataRow> rows) {
+      foreach (var row in rows) {
         RegisterDataRowEvents(row);
         var series = new Series(row.Name);
@@ -175,19 +161,18 @@
 
       // only paint selection for line chart
-      if (rows.Count() > 0 && rows.ElementAt(0).VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Line)
-      {
+      if (rows.Count() > 0 && rows.ElementAt(0).VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Line) {
         // add dummy series for selction entry in legend
         if (rows.Count() > 0 && chart.Series.FindByName("(Selection)") == null) {
-        Series series = new Series("(Selection)");
-        series.IsVisibleInLegend = true;
-        series.Color = Color.Green;
-        series.BorderWidth = 1;
-        series.BorderDashStyle = ChartDashStyle.Solid;
-        series.BorderColor = Color.Empty;
-        series.ChartType = SeriesChartType.FastLine;
-        chart.Series.Add(series);
-      }
-
-      foreach (var row in rows) {
+          Series series = new Series("(Selection)");
+          series.IsVisibleInLegend = true;
+          series.Color = Color.Green;
+          series.BorderWidth = 1;
+          series.BorderDashStyle = ChartDashStyle.Solid;
+          series.BorderColor = Color.Empty;
+          series.ChartType = SeriesChartType.FastLine;
+          chart.Series.Add(series);
+        }
+
+        foreach (var row in rows) {
           row.VisualProperties.IsVisibleInLegend = false;
           row.VisualProperties.Color = Color.Green;
@@ -197,9 +182,9 @@
           FillSeriesWithRowValues(series, row);
 
-          if (Classification == null) 
+          if (Classification == null)
             chart.Series.Add(series);
-        
-      }
-    }
+
+        }
+      }
     }
 
@@ -207,17 +192,16 @@
 
       // only remove selection for line chart
-      if (rows.Count() > 0 && rows.ElementAt(0).VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Line) 
-      {
-      //remove selection entry in legend
-      if (Content.SelectedRows.Count == 0) {
-        Series series = chart.Series["(Selection)"];
-        chart.Series.Remove(series);
-      }
-
-      foreach (var row in rows) {
-        Series series = chart.Series[row.Name + "(Selected)"];
-        chart.Series.Remove(series);
-      }
-    }
+      if (rows.Count() > 0 && rows.ElementAt(0).VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Line) {
+        //remove selection entry in legend
+        if (Content.SelectedRows.Count == 0) {
+          Series series = chart.Series["(Selection)"];
+          chart.Series.Remove(series);
+        }
+
+        foreach (var row in rows) {
+          Series series = chart.Series[row.Name + "(Selected)"];
+          chart.Series.Remove(series);
+        }
+      }
     }
 
@@ -233,6 +217,5 @@
     }
 
-    private void ConfigureSeries(Series series, DataRow row)
-    {
+    private void ConfigureSeries(Series series, DataRow row) {
       RemoveCustomPropertyIfExists(series, "PointWidth");
       series.BorderWidth = 1;
@@ -255,6 +238,5 @@
           if (!chart.Series.Any(x => x.ChartType != SeriesChartType.Bar && x.ChartType != SeriesChartType.StackedBar && x.ChartType != SeriesChartType.StackedBar100))
             series.ChartType = SeriesChartType.Bar;
-          else
-          {
+          else {
             series.ChartType = SeriesChartType.FastPoint; //default
             row.VisualProperties.ChartType = DataRowVisualProperties.DataRowChartType.Points;
@@ -300,6 +282,5 @@
     }
 
-    private void ConfigureChartArea(ChartArea area)
-    {
+    private void ConfigureChartArea(ChartArea area) {
       if (Content.VisualProperties.TitleFont != null) chart.Titles[0].Font = Content.VisualProperties.TitleFont;
       if (!Content.VisualProperties.TitleColor.IsEmpty) chart.Titles[0].ForeColor = Content.VisualProperties.TitleColor;
@@ -328,9 +309,7 @@
     }
 
-    private void RecalculateAxesScale(ChartArea area)
-    {
+    private void RecalculateAxesScale(ChartArea area) {
       // Reset the axes bounds so that RecalculateAxesScale() will assign new bounds
-      foreach (Axis a in area.Axes)
-      {
+      foreach (Axis a in area.Axes) {
         a.Minimum = double.NaN;
         a.Maximum = double.NaN;
@@ -354,6 +333,5 @@
     }
 
-    protected virtual void UpdateYCursorInterval()
-    {
+    protected virtual void UpdateYCursorInterval() {
       double interestingValuesRange = (
         from series in chart.Series
@@ -374,10 +352,8 @@
     #region Event Handlers
     #region Content Event Handlers
-    private void Content_VisualPropertiesChanged(object sender, EventArgs e)
-    {
+    private void Content_VisualPropertiesChanged(object sender, EventArgs e) {
       if (InvokeRequired)
         Invoke(new EventHandler(Content_VisualPropertiesChanged), sender, e);
-      else
-      {
+      else {
         ConfigureChartArea(chart.ChartAreas[0]);
         RecalculateAxesScale(chart.ChartAreas[0]); // axes min/max could have changed
@@ -425,34 +401,27 @@
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<DataRow>(Rows_ItemsAdded), sender, e);
-      else
-      {
+      else {
         AddDataRows(e.Items);
       }
     }
-    private void Rows_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<DataRow> e)
-    {
+    private void Rows_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<DataRow> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<DataRow>(Rows_ItemsRemoved), sender, e);
-      else
-      {
+      else {
         RemoveDataRows(e.Items);
       }
     }
-    private void Rows_ItemsReplaced(object sender, CollectionItemsChangedEventArgs<DataRow> e)
-    {
+    private void Rows_ItemsReplaced(object sender, CollectionItemsChangedEventArgs<DataRow> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<DataRow>(Rows_ItemsReplaced), sender, e);
-      else
-      {
+      else {
         RemoveDataRows(e.OldItems);
         AddDataRows(e.Items);
       }
     }
-    private void Rows_CollectionReset(object sender, CollectionItemsChangedEventArgs<DataRow> e)
-    {
+    private void Rows_CollectionReset(object sender, CollectionItemsChangedEventArgs<DataRow> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<DataRow>(Rows_CollectionReset), sender, e);
-      else
-      {
+      else {
         RemoveDataRows(e.OldItems);
         AddDataRows(e.Items);
@@ -461,10 +430,8 @@
     #endregion
     #region Row Event Handlers
-    private void Row_VisualPropertiesChanged(object sender, EventArgs e)
-    {
+    private void Row_VisualPropertiesChanged(object sender, EventArgs e) {
       if (InvokeRequired)
         Invoke(new EventHandler(Row_VisualPropertiesChanged), sender, e);
-      else
-      {
+      else {
         DataRow row = (DataRow)sender;
         Series series = chart.Series[row.Name];
@@ -475,10 +442,8 @@
       }
     }
-    private void Row_NameChanged(object sender, EventArgs e)
-    {
+    private void Row_NameChanged(object sender, EventArgs e) {
       if (InvokeRequired)
         Invoke(new EventHandler(Row_NameChanged), sender, e);
-      else
-      {
+      else {
         DataRow row = (DataRow)sender;
         chart.Series[row.Name].Name = row.Name;
@@ -487,17 +452,13 @@
     #endregion
     #region Values Event Handlers
-    private void Values_ItemsAdded(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e)
-    {
+    private void Values_ItemsAdded(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsAdded), sender, e);
-      else
-      {
+      else {
         DataRow row = null;
         valuesRowsTable.TryGetValue((IObservableList<double>)sender, out row);
-        if (row != null)
-        {
+        if (row != null) {
           Series rowSeries = chart.Series[row.Name];
-          if (!invisibleSeries.Contains(rowSeries))
-          {
+          if (!invisibleSeries.Contains(rowSeries)) {
             rowSeries.Points.Clear();
             FillSeriesWithRowValues(rowSeries, row);
@@ -508,17 +469,13 @@
       }
     }
-    private void Values_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e)
-    {
+    private void Values_ItemsRemoved(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsRemoved), sender, e);
-      else
-      {
+      else {
         DataRow row = null;
         valuesRowsTable.TryGetValue((IObservableList<double>)sender, out row);
-        if (row != null)
-        {
+        if (row != null) {
           Series rowSeries = chart.Series[row.Name];
-          if (!invisibleSeries.Contains(rowSeries))
-          {
+          if (!invisibleSeries.Contains(rowSeries)) {
             rowSeries.Points.Clear();
             FillSeriesWithRowValues(rowSeries, row);
@@ -529,30 +486,21 @@
       }
     }
-    private void Values_ItemsReplaced(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e)
-    {
+    private void Values_ItemsReplaced(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsReplaced), sender, e);
-      else
-      {
+      else {
         DataRow row = null;
         valuesRowsTable.TryGetValue((IObservableList<double>)sender, out row);
-        if (row != null)
-        {
+        if (row != null) {
           Series rowSeries = chart.Series[row.Name];
-          if (!invisibleSeries.Contains(rowSeries))
-          {
-            if (row.VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Histogram)
-            {
+          if (!invisibleSeries.Contains(rowSeries)) {
+            if (row.VisualProperties.ChartType == DataRowVisualProperties.DataRowChartType.Histogram) {
               rowSeries.Points.Clear();
               FillSeriesWithRowValues(rowSeries, row);
-            }
-            else
-            {
-              foreach (IndexedItem<double> item in e.Items)
-              {
+            } else {
+              foreach (IndexedItem<double> item in e.Items) {
                 if (IsInvalidValue(item.Value))
                   rowSeries.Points[item.Index].IsEmpty = true;
-                else
-                {
+                else {
                   rowSeries.Points[item.Index].YValues = new double[] { item.Value };
                   rowSeries.Points[item.Index].IsEmpty = false;
@@ -566,17 +514,13 @@
       }
     }
-    private void Values_ItemsMoved(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e)
-    {
+    private void Values_ItemsMoved(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_ItemsMoved), sender, e);
-      else
-      {
+      else {
         DataRow row = null;
         valuesRowsTable.TryGetValue((IObservableList<double>)sender, out row);
-        if (row != null)
-        {
+        if (row != null) {
           Series rowSeries = chart.Series[row.Name];
-          if (!invisibleSeries.Contains(rowSeries))
-          {
+          if (!invisibleSeries.Contains(rowSeries)) {
             rowSeries.Points.Clear();
             FillSeriesWithRowValues(rowSeries, row);
@@ -588,17 +532,13 @@
     }
 
-    private void Values_CollectionReset(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e)
-    {
+    private void Values_CollectionReset(object sender, CollectionItemsChangedEventArgs<IndexedItem<double>> e) {
       if (InvokeRequired)
         Invoke(new CollectionItemsChangedEventHandler<IndexedItem<double>>(Values_CollectionReset), sender, e);
-      else
-      {
+      else {
         DataRow row = null;
         valuesRowsTable.TryGetValue((IObservableList<double>)sender, out row);
-        if (row != null)
-        {
+        if (row != null) {
           Series rowSeries = chart.Series[row.Name];
-          if (!invisibleSeries.Contains(rowSeries))
-          {
+          if (!invisibleSeries.Contains(rowSeries)) {
             rowSeries.Points.Clear();
             FillSeriesWithRowValues(rowSeries, row);
@@ -613,14 +553,11 @@
 
     #region Chart Event Handlers
-    private void chart_MouseDown(object sender, MouseEventArgs e)
-    {
+    private void chart_MouseDown(object sender, MouseEventArgs e) {
       HitTestResult result = chart.HitTest(e.X, e.Y);
-      if (result.ChartElementType == ChartElementType.LegendItem)
-      {
+      if (result.ChartElementType == ChartElementType.LegendItem) {
         ToggleSeriesVisible(result.Series);
       }
     }
-    private void chart_MouseMove(object sender, MouseEventArgs e)
-    {
+    private void chart_MouseMove(object sender, MouseEventArgs e) {
       HitTestResult result = chart.HitTest(e.X, e.Y);
       if (result.ChartElementType == ChartElementType.LegendItem)
@@ -629,14 +566,10 @@
         this.Cursor = Cursors.Default;
     }
-    private void chart_CustomizeLegend(object sender, CustomizeLegendEventArgs e)
-    {
-      foreach (LegendItem legendItem in e.LegendItems)
-      {
+    private void chart_CustomizeLegend(object sender, CustomizeLegendEventArgs e) {
+      foreach (LegendItem legendItem in e.LegendItems) {
         var series = chart.Series[legendItem.SeriesName];
-        if (series != null)
-        {
+        if (series != null) {
           bool seriesIsInvisible = invisibleSeries.Contains(series);
-          foreach (LegendCell cell in legendItem.Cells)
-          {
+          foreach (LegendCell cell in legendItem.Cells) {
             cell.ForeColor = seriesIsInvisible ? Color.Gray : Color.Black;
           }
@@ -646,20 +579,15 @@
     #endregion
 
-    private void ToggleSeriesVisible(Series series)
-    {
+    private void ToggleSeriesVisible(Series series) {
 
       if (!Content.Rows.Any(x => x.Name == series.Name))
         return;
 
-      if (!invisibleSeries.Contains(series))
-      {
+      if (!invisibleSeries.Contains(series)) {
         series.Points.Clear();
         invisibleSeries.Add(series);
-      }
-      else
-      {
+      } else {
         invisibleSeries.Remove(series);
-        if (Content != null)
-        {
+        if (Content != null) {
 
           var row = (from r in Content.Rows
@@ -674,13 +602,10 @@
     }
 
-    private void FillSeriesWithRowValues(Series series, DataRow row)
-    {
-      switch (row.VisualProperties.ChartType)
-      {
+    private void FillSeriesWithRowValues(Series series, DataRow row) {
+      switch (row.VisualProperties.ChartType) {
         case DataRowVisualProperties.DataRowChartType.Histogram:
           CalculateHistogram(series, row);
           break;
-        default:
-          {
+        default: {
             bool yLogarithmic = series.YAxisType == AxisType.Primary
                                   ? Content.VisualProperties.YAxisLogScale
@@ -689,6 +614,5 @@
                                   ? Content.VisualProperties.XAxisLogScale
                                   : Content.VisualProperties.SecondXAxisLogScale;
-            for (int i = 0; i < row.Values.Count; i++)
-            {
+            for (int i = 0; i < row.Values.Count; i++) {
               var value = row.Values[i];
               var point = new DataPoint();
@@ -709,6 +633,5 @@
       double min = Double.MaxValue;
 
-      foreach (double value in values)
-      {
+      foreach (double value in values) {
         if (!Double.IsNaN(value) && value < min)
           min = value;
@@ -718,10 +641,8 @@
 
     //get maximium ignores nan values
-    private double GetMaximum(IEnumerable<double> values)
-    {
+    private double GetMaximum(IEnumerable<double> values) {
       double max = Double.MinValue;
 
-      foreach (double value in values)
-      {
+      foreach (double value in values) {
         if (!Double.IsNaN(value) && value > max)
           max = value;
@@ -765,6 +686,5 @@
       double intervalWidth = (maxValue - minValue) / bins;
       if (intervalWidth < 0) return;
-      if (intervalWidth == 0)
-      {
+      if (intervalWidth == 0) {
         series.Points.AddXY(minValue, row.Values.Count);
         return;
@@ -818,10 +738,8 @@
       // add data points
       int j = 0;
-      foreach (var d in doubleRange)
-      {
+      foreach (var d in doubleRange) {
         double sum = 0.0;
         // sum the frequency values that fall within the same interval
-        while (j < valueFrequencies.Count && valueFrequencies[j].Item1 < d)
-        {
+        while (j < valueFrequencies.Count && valueFrequencies[j].Item1 < d) {
           sum += valueFrequencies[j].Item2;
           ++j;
@@ -833,6 +751,5 @@
                               ? "Y"
                               : Content.VisualProperties.YAxisTitle;
-        series.Points.Add(new DataPoint(d - intervalCenter, sum)
-        {
+        series.Points.Add(new DataPoint(d - intervalCenter, sum) {
           ToolTip =
             xAxisTitle + ": [" + (d - intervalWidth) + "-" + d + ")" + Environment.NewLine +
@@ -843,6 +760,5 @@
 
     #region Helpers
-    public static IEnumerable<double> DoubleRange(double min, double max, double step)
-    {
+    public static IEnumerable<double> DoubleRange(double min, double max, double step) {
       double i;
       for (i = min; i <= max; i += step)
@@ -853,11 +769,9 @@
     }
 
-    protected void RemoveCustomPropertyIfExists(Series series, string property)
-    {
+    protected void RemoveCustomPropertyIfExists(Series series, string property) {
       if (series.IsCustomPropertySet(property)) series.DeleteCustomProperty(property);
     }
 
-    private double HumanRoundRange(double range)
-    {
+    private double HumanRoundRange(double range) {
       double base10 = Math.Pow(10.0, Math.Floor(Math.Log10(range)));
       double rounding = range / base10;
@@ -870,6 +784,5 @@
     }
 
-    private double HumanRoundMax(double max)
-    {
+    private double HumanRoundMax(double max) {
       double base10;
       if (max > 0) base10 = Math.Pow(10.0, Math.Floor(Math.Log10(max)));
@@ -880,8 +793,6 @@
     }
 
-    private ChartDashStyle ConvertLineStyle(DataRowVisualProperties.DataRowLineStyle dataRowLineStyle)
-    {
-      switch (dataRowLineStyle)
-      {
+    private ChartDashStyle ConvertLineStyle(DataRowVisualProperties.DataRowLineStyle dataRowLineStyle) {
+      switch (dataRowLineStyle) {
         case DataRowVisualProperties.DataRowLineStyle.Dash:
           return ChartDashStyle.Dash;
@@ -901,6 +812,5 @@
     }
 
-    protected static bool IsInvalidValue(double x)
-    {
+    protected static bool IsInvalidValue(double x) {
       return double.IsNaN(x) || x < (double)decimal.MinValue || x > (double)decimal.MaxValue;
     }
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/CorrelationMatrixContent.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/CorrelationMatrixContent.cs	(revision 10913)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/CorrelationMatrixContent.cs	(revision 10914)
@@ -28,6 +28,5 @@
 
   [Item("Feature Correlation Matrix", "Represents the feature correlation matrix.")]
-  public class CorrelationMatrixContent : Item, IViewShortcut
-  {
+  public class CorrelationMatrixContent : Item, IViewShortcut {
     public DataAnalysisProblemData ProblemData { get; set; }
 
@@ -38,7 +37,7 @@
     public CorrelationMatrixContent(CorrelationMatrixContent original, Cloner cloner)
       : base(original, cloner) {
-  
+
     }
-  
+
     public static new Image StaticItemImage {
       get { return HeuristicLab.Common.Resources.VSImageLibrary.Gradient; }
Index: /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs
===================================================================
--- /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10913)
+++ /branches/DataPreprocessing/HeuristicLab.DataPreprocessing/3.3/Implementations/HistogramContent.cs	(revision 10914)
@@ -30,5 +30,6 @@
     private int classifierVariableIndex = 0;
 
-    public HistogramContent(IChartLogic chartlogic) :base(chartlogic) {
+    public HistogramContent(IChartLogic chartlogic)
+      : base(chartlogic) {
       AllInOneMode = false;
     }
@@ -38,6 +39,5 @@
     }
 
-    public int ClassifierVariableIndex
-    {
+    public int ClassifierVariableIndex {
       get { return this.classifierVariableIndex; }
       set { this.classifierVariableIndex = value; }